#!/bin/bash
#
# Time script for d-star.  Uses ON1ARF's ambestream program and a 
# premade ambe vocabulary see: 
# http://kb9mwr.blogspot.com/2011/11/library-of-ambe-files.html
# Can be called via DTMF using ircddb and it's spin-offs:
# http://kb9mwr.blogspot.com/2009/09/decoding-d-star-ambe-dtmf.html
#
HOUR1=`date +"%l"`
MIN1=`date +"%M"`
AMPM1=`date +"%p"`
T24=`date +%k`
TEXT=`date +"%l:%m %p"`
#
if [ $HOUR1 = "1" ]; then HOUR="one"; fi
if [ $HOUR1 = "2" ]; then HOUR="two"; fi
if [ $HOUR1 = "3" ]; then HOUR="three"; fi
if [ $HOUR1 = "4" ]; then HOUR="four"; fi
if [ $HOUR1 = "5" ]; then HOUR="five"; fi
if [ $HOUR1 = "6" ]; then HOUR="six"; fi
if [ $HOUR1 = "7" ]; then HOUR="seven"; fi
if [ $HOUR1 = "8" ]; then HOUR="eight"; fi
if [ $HOUR1 = "9" ]; then HOUR="nine"; fi
if [ $HOUR1 = "10" ]; then HOUR="ten"; fi
if [ $HOUR1 = "11" ]; then HOUR="eleven"; fi
if [ $HOUR1 = "12" ]; then HOUR="twelve"; fi
#
if [ $MIN1 = "00" ]; then MIN=" "; fi
if [ $MIN1 = "01" ]; then MIN="o one"; fi
if [ $MIN1 = "02" ]; then MIN="o two"; fi
if [ $MIN1 = "03" ]; then MIN="o three"; fi
if [ $MIN1 = "04" ]; then MIN="o four"; fi
if [ $MIN1 = "05" ]; then MIN="o five"; fi
if [ $MIN1 = "06" ]; then MIN="o six"; fi
if [ $MIN1 = "07" ]; then MIN="o seven"; fi
if [ $MIN1 = "98" ]; then MIN="o eight"; fi
if [ $MIN1 = "09" ]; then MIN="o nine"; fi
if [ $MIN1 = "10" ]; then MIN="ten"; fi
if [ $MIN1 = "11" ]; then MIN="eleven"; fi
if [ $MIN1 = "12" ]; then MIN="twelve"; fi
if [ $MIN1 = "13" ]; then MIN="thirteen"; fi
if [ $MIN1 = "14" ]; then MIN="fourteen"; fi
if [ $MIN1 = "15" ]; then MIN="fifteen"; fi
if [ $MIN1 = "16" ]; then MIN="sixteen"; fi
if [ $MIN1 = "17" ]; then MIN="seventeen"; fi
if [ $MIN1 = "18" ]; then MIN="eighteen"; fi
if [ $MIN1 = "19" ]; then MIN="nineteen"; fi
if [ $MIN1 = "20" ]; then MIN="twenty"; fi
if [ $MIN1 = "21" ]; then MIN="twenty one"; fi
if [ $MIN1 = "22" ]; then MIN="twenty two"; fi
if [ $MIN1 = "23" ]; then MIN="twenty three"; fi
if [ $MIN1 = "24" ]; then MIN="twenty four"; fi
if [ $MIN1 = "25" ]; then MIN="twenty five"; fi
if [ $MIN1 = "26" ]; then MIN="twenty six"; fi
if [ $MIN1 = "27" ]; then MIN="twenty seven"; fi
if [ $MIN1 = "28" ]; then MIN="twenty eight"; fi
if [ $MIN1 = "29" ]; then MIN="twenty nine"; fi
if [ $MIN1 = "30" ]; then MIN="thirty"; fi
if [ $MIN1 = "31" ]; then MIN="thirty one"; fi
if [ $MIN1 = "32" ]; then MIN="thirty two"; fi
if [ $MIN1 = "33" ]; then MIN="thirty three"; fi
if [ $MIN1 = "34" ]; then MIN="thirty four"; fi
if [ $MIN1 = "35" ]; then MIN="thirty five"; fi
if [ $MIN1 = "36" ]; then MIN="thirty six"; fi
if [ $MIN1 = "37" ]; then MIN="thirty seven"; fi
if [ $MIN1 = "38" ]; then MIN="thirty eight"; fi
if [ $MIN1 = "39" ]; then MIN="thirty nine"; fi
if [ $MIN1 = "40" ]; then MIN="forty"; fi
if [ $MIN1 = "41" ]; then MIN="forty one"; fi
if [ $MIN1 = "42" ]; then MIN="forty two"; fi
if [ $MIN1 = "43" ]; then MIN="forty three"; fi
if [ $MIN1 = "44" ]; then MIN="forty four"; fi
if [ $MIN1 = "45" ]; then MIN="forty five"; fi
if [ $MIN1 = "46" ]; then MIN="forty six"; fi
if [ $MIN1 = "47" ]; then MIN="forty seven"; fi
if [ $MIN1 = "48" ]; then MIN="forty eight"; fi
if [ $MIN1 = "49" ]; then MIN="forty nine"; fi
if [ $MIN1 = "50" ]; then MIN="fifty"; fi
if [ $MIN1 = "51" ]; then MIN="fifty one"; fi
if [ $MIN1 = "52" ]; then MIN="fifty two"; fi
if [ $MIN1 = "53" ]; then MIN="fifty three"; fi
if [ $MIN1 = "54" ]; then MIN="fifty four"; fi
if [ $MIN1 = "55" ]; then MIN="fifty five"; fi
if [ $MIN1 = "56" ]; then MIN="fifty six"; fi
if [ $MIN1 = "57" ]; then MIN="fifty seven"; fi
if [ $MIN1 = "58" ]; then MIN="fifty eight"; fi
if [ $MIN1 = "59" ]; then MIN="fifty nine"; fi
#
if [ $AMPM1 = "AM" ]; then AMPM="am";fi
if [ $AMPM1 = "PM" ]; then AMPM="pm";fi
#
if [ "$T24" -lt "12" ]; then SALU="good_morning"
elif [ "$T24" -gt "17" ]; then SALU="good_evening"
else SALU="good_afternoon"
fi
#
# Screen output/debug
echo "the time is $HOUR $MIN $AMPM $SALU"
#
SENTENCE=`echo "the_time_is $HOUR $MIN $AMPM $SALU"`
# define and append path to pre-made words on the fly
SPEAK=`echo $SENTENCE | sed 's/[^ ][^ ]*/\/root\/words\/ambe\/&.ambe/g'`
ambestream -t "$TEXT" -v -4 -my KB9MWR -d 127.0.0.1 -p 40000 K9EAM B $SPEAK 
